
package de.ivu.elect.presentation.gebietsbaum;

import javax.annotation.PostConstruct;
import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.gebietsbaum.entity.Gebietsart;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.gebietsbaum.form.GebietsartViewFormBuilder;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;

@RequestScoped
@OnlineHilfeId("147")
@Named(AbstractGebietsartCreateNoScopeView.COMPONENT_NAME)
@View(viewId = AbstractGebietsartCreateNoScopeView.VIEW_ID, useCase = UseCasePermission.GEBIETSART_CREATE)
public class GebietsartCreateView extends AbstractGebietsartCreateView {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient GebietsartViewFormBuilder gebietsartViewFormBuilder;

  public GebietsartCreateView() {
    super();
  }

  @Override
  @PostConstruct
  public void init() {
    Gebietsart gebietsart = new Gebietsart();
    gebietsart.setPosition(null);
    gebietsart.setMandant(getMandant());
    setEntity(gebietsart);
  }

  @Override
  public void addProperties(FormBuilder formBuilder, Gebietsart gebietsart) {
    gebietsartViewFormBuilder.addProperties(formBuilder, gebietsart);
  }
}
